## ros-foxy-maliput-object-py 0.1.2

=== CMakeLists.txt ===
##############################################################################
# Project
##############################################################################

cmake_minimum_required(VERSION 3.5 FATAL_ERROR)
project(maliput_object_py LANGUAGES C CXX VERSION 3.0.0)

##############################################################################
# Find 3rd Party Packages
##############################################################################

message(STATUS "\n\n====== Finding 3rd Party Packages ======\n")

find_package(ament_cmake REQUIRED)
find_package(ament_cmake_python REQUIRED)
find_package(maliput_object REQUIRED)
find_package(maliput REQUIRED)
find_package(pybind11 REQUIRED)

##############################################################################
# Project Configuration
##############################################################################

message(STATUS "\n\n========= Project Configuration ========\n")

set(BUILD_SHARED_LIBS true)

include(${PROJECT_SOURCE_DIR}/cmake/DefaultCFlags.cmake)
include(${PROJECT_SOURCE_DIR}/cmake/SanitizersConfig.cmake)

ament_python_install_package("maliput_object")

ament_environment_hooks(
  "${ament_cmake_package_templates_ENVIRONMENT_HOOK_LIBRARY_PATH}"
)

##############################################################################
# Sources
##############################################################################
add_subdirectory(src)

##############################################################################
# Tests
##############################################################################

if(BUILD_TESTING)
  find_package(ament_cmake_clang_format REQUIRED)
  find_package(ament_cmake_flake8 REQUIRED)
  enable_testing()
  add_subdirectory(test)
  ament_flake8("--config" ${CMAKE_CURRENT_SOURCE_DIR}/.flake8)
  ament_clang_format(CONFIG_FILE ${CMAKE_CURRENT_SOURCE_DIR}/.clang-format)
endif()

##############################################################################
# Docs
##############################################################################

if(BUILD_DOCS)
  message(STATUS "Doxygen generation - Enabled")
  find_package(ament_cmake_doxygen REQUIRED)
  ament_doxygen_generate(doxygen_maliput_object_py
    CONFIG_OVERLAY doc/Doxyfile.overlay.in
    DEPENDENCIES maliput_object
    TEST_ON_WARNS
  )
  add_definitions(-DBUILD_DOCS)
else()
  message(STATUS "Doxygen generation - Disabled")
endif()

##############################################################################
# Export
##############################################################################

ament_export_dependencies(ament_cmake)
ament_package()

=== src/CMakeLists.txt ===
add_subdirectory(bindings)

=== test/CMakeLists.txt ===
find_package(ament_cmake_pytest REQUIRED)

add_subdirectory(api)

=== src/bindings/CMakeLists.txt ===
##############################################################################
# Sources
##############################################################################

# api module
pybind11_add_module(api_py
  api_py.cc
)

set_target_properties(api_py PROPERTIES OUTPUT_NAME "api")

target_include_directories(api_py
  PUBLIC
    $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/src>
    $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include>
)

target_link_libraries(api_py
  PRIVATE
    maliput_object::api
    maliput::math
    pybind11::module
)

##############################################################################
# Install
##############################################################################

install(TARGETS api_py
  DESTINATION "${PYTHON_INSTALL_DIR}/maliput_object"
)

=== test/api/CMakeLists.txt ===
# TODO(francocipollone): Improve this check by wrapping ament_add_pytest_test() function.
# When sanitizers are activated python scripts are disabled.
if (NOT ${SANITIZERS})
  ament_add_pytest_test(api_pytest
    api_test.py
    # Avoid pytest from importing the module stub
    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
  )
endif()

=== debian/changelog ===
ros-foxy-maliput-object-py (0.1.2-1focal) focal; urgency=high

  * Pairs with BoundingRegion being moved to maliput. (#8 <https://github.com/maliput/maliput_object_py/issues/8>)
  * Adds triage workflow. (#6 <https://github.com/maliput/maliput_object_py/issues/6>)
  * Improves README. (#5 <https://github.com/maliput/maliput_object_py/issues/5>)
  * Contributors: Franco Cipollone

 -- Daniel Stonier <daniel.stonier@tri.global>  Tue, 23 Aug 2022 03:00:00 -0000

ros-foxy-maliput-object-py (0.1.1-1focal) focal; urgency=high

  * Fixes package's license path.
  * Contributors: Franco Cipollone

 -- Daniel Stonier <daniel.stonier@tri.global>  Tue, 21 Jun 2022 03:00:00 -0000

ros-foxy-maliput-object-py (0.1.0-1focal) focal; urgency=high

  * Updates package.xml file.
  * Removes unnecessary dependencies.
  * Removes constructor where unique_ptr is being used.
  * Uses ros-action-ci for main workflow.
  * Uses pybind11-dev package via rosdep.
  * Use doc_depend label for ament_cmake_doxygen dependency.
  * Sets up CI.
  * Brings some infra-related files.
  * Moves maliput_object_py to the repository's root.
  * Updates license.
  * Creates bindings for the maliput::object::api namespace.
  * Adds maliput_object_py to CI.
  * Creates the package for the python bindings.
  * Initial commit
  * Contributors: Franco Cipollone, Voldivh

 -- Daniel Stonier <daniel.stonier@tri.global>  Tue, 21 Jun 2022 03:00:00 -0000

=== debian/control ===
Source: ros-foxy-maliput-object-py
Section: misc
Priority: optional
Maintainer: Daniel Stonier <daniel.stonier@tri.global>
Build-Depends: debhelper (>= 9.0.0), pybind11-dev, python3-dev, ros-foxy-ament-cmake, ros-foxy-ament-cmake-clang-format <!nocheck>, ros-foxy-ament-cmake-flake8 <!nocheck>, ros-foxy-ament-cmake-pytest <!nocheck>, ros-foxy-maliput-object, ros-foxy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-foxy-maliput-object-py
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, pybind11-dev, ros-foxy-maliput-object, ros-foxy-ros-workspace
Description: Maliput Object bindings

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/foxy/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/foxy" \
		-DAMENT_PREFIX_PATH="/opt/ros/foxy" \
		-DCMAKE_PREFIX_PATH="/opt/ros/foxy" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-foxy-maliput-object-py//opt/ros/foxy/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_install
